Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage Class Reference
Inheritance diagram for eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage:

## Public Member Functions
| __construct (DatabaseHandler $dbHandler)
| getValidBlockItems (Block $block)
| Returns valid items (that are to be displayed), for a given block. More...
| getLastValidBlockItem (Block $block)
| Returns the block item having a highest visible date, for given block. More...
| getWaitingBlockItems (Block $block)
| Returns queued items (the next to be displayed), for a given block. More...
| getArchivedBlockItems (Block $block)
| Returns archived items (that were previously displayed), for a given block. More...
| getContentIdByBlockId ($id)
| Returns Content id for the given Block $id, or false if Block could not be found. More...

## Protected Member Functions
| getConnection ()
| Returns the active connection. More...
| buildBlockItem (array $row)
| Builds a Page\Parts\Item object from a row returned from ezm_pool table. More...
Protected Member Functions inherited from eZ\Publish\SPI\FieldType\StorageGateway
| getSequenceName ($table, $column)
| Get sequence name bound to database table and column. More...

## Protected Attributes
| $dbHandler

## Detailed Description

Deprecated:
  since 6.11.

Use {

See also
  \eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\DoctrineStorage} instead.

Definition at line 21 of file Page/PageStorage/Gateway/LegacyStorage.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage::__construct | ( | DatabaseHandler | $dbHandler | ) |

Definition at line 26 of file Page/PageStorage/Gateway/LegacyStorage.php.

References eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\$dbHandler.

## Member Function Documentation

## ◆ buildBlockItem()

eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage::buildBlockItem | ( | array | $row | ) |
| protected

Builds a Page\Parts\Item object from a row returned from ezm_pool table.

Parameters

  array | $row | Hash representing a block item as stored in ezm_pool table.

Returns
  \eZ\Publish\Core\FieldType\Page\Parts\Item

Definition at line 248 of file Page/PageStorage/Gateway/LegacyStorage.php.

Referenced by eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\getArchivedBlockItems(), eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\getLastValidBlockItem(), eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\getValidBlockItems(), and eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\getWaitingBlockItems().

## ◆ getArchivedBlockItems()

eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage::getArchivedBlockItems | ( | Block | $block | ) |

Returns archived items (that were previously displayed), for a given block.

Parameters

Reimplemented from eZ\Publish\Core\FieldType\Page\PageStorage\Gateway.

Definition at line 170 of file Page/PageStorage/Gateway/LegacyStorage.php.

References eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\$dbHandler, eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\buildBlockItem(), and eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\getConnection().

## ◆ getConnection()

eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage::getConnection | ( |  | ) |
| protected

Returns the active connection.

Returns
  \eZ\Publish\Core\Persistence\Database\DatabaseHandler

Definition at line 40 of file Page/PageStorage/Gateway/LegacyStorage.php.

References eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\$dbHandler.

Referenced by eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\getArchivedBlockItems(), eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\getContentIdByBlockId(), eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\getLastValidBlockItem(), eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\getValidBlockItems(), and eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\getWaitingBlockItems().

## ◆ getContentIdByBlockId()

eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage::getContentIdByBlockId | ( |  | $id | ) |

Returns Content id for the given Block $id, or false if Block could not be found.

Exceptions

Reimplemented from eZ\Publish\Core\FieldType\Page\PageStorage\Gateway.

Definition at line 208 of file Page/PageStorage/Gateway/LegacyStorage.php.

References eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\$dbHandler, and eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\getConnection().

## ◆ getLastValidBlockItem()

eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage::getLastValidBlockItem | ( | Block | $block | ) |

Returns the block item having a highest visible date, for given block.

Will return null if no block item is registered for block.

Parameters

  \eZ\Publish\Core\FieldType\Page\Parts\Block | $block |

Returns
  \eZ\Publish\Core\FieldType\Page\Parts\Item|null

Reimplemented from eZ\Publish\Core\FieldType\Page\PageStorage\Gateway.

Definition at line 94 of file Page/PageStorage/Gateway/LegacyStorage.php.

References eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\$dbHandler, eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\buildBlockItem(), eZ\Publish\Core\Persistence\Database\SelectQuery\DESC, and eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\getConnection().

## ◆ getValidBlockItems()

eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage::getValidBlockItems | ( | Block | $block | ) |

Returns valid items (that are to be displayed), for a given block.

Parameters

Reimplemented from eZ\Publish\Core\FieldType\Page\PageStorage\Gateway.

Definition at line 52 of file Page/PageStorage/Gateway/LegacyStorage.php.

References eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\$dbHandler, eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\buildBlockItem(), eZ\Publish\Core\Persistence\Database\SelectQuery\DESC, and eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\getConnection().

## ◆ getWaitingBlockItems()

eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage::getWaitingBlockItems | ( | Block | $block | ) |

Returns queued items (the next to be displayed), for a given block.

Parameters

Reimplemented from eZ\Publish\Core\FieldType\Page\PageStorage\Gateway.

Definition at line 131 of file Page/PageStorage/Gateway/LegacyStorage.php.

References eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\$dbHandler, eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\buildBlockItem(), and eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\getConnection().

## Member Data Documentation

## ◆ $dbHandler

eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage::$dbHandler
| protected

Definition at line 24 of file Page/PageStorage/Gateway/LegacyStorage.php.

Referenced by eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\__construct(), eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\getArchivedBlockItems(), eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\getConnection(), eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\getContentIdByBlockId(), eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\getLastValidBlockItem(), eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\getValidBlockItems(), and eZ\Publish\Core\FieldType\Page\PageStorage\Gateway\LegacyStorage\getWaitingBlockItems().

The documentation for this class was generated from the following file:

- Page/PageStorage/Gateway/LegacyStorage.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.